package com.bcxin.ars.model.sb;

import com.abcxin.smart.validator.annotation.ModelAnnotation;
import com.bcxin.ars.model.BaseModel;

import java.util.Date;

/**
 *sb_workexperience
 *
 */
public class Workexperience  extends BaseModel {

	public Workexperience(){
	
	}


    /**
    *培训单位审批信息ID
    */
	@ModelAnnotation(getName="培训单位审批信息ID",column = "traincompanyapplyid")
    private Integer traincompanyapplyid;

    /**
    *开始时间
    */
	@ModelAnnotation(getName="开始时间",column = "Startdate")
    private Date startdate;

    /**
    *结束时间
    */
	@ModelAnnotation(getName="结束时间",column = "Enddate")
    private Date enddate;

    /**
    *工作单位
    */
	@ModelAnnotation(getName="工作单位",column = "companyname")
    private String companyname;

    /**
    *岗位/职务
    */
	@ModelAnnotation(getName="岗位/职务",column = "post")
    private String post;
	/**
	 *培训单位审批信息ID
	 */
	public Integer getTraincompanyapplyid(){
		return this.traincompanyapplyid;
	}
	
	/**
	 *培训单位审批信息ID
	 */
	public void setTraincompanyapplyid(Integer traincompanyapplyid){
		this.traincompanyapplyid = traincompanyapplyid;
	}
	/**
	 *开始时间
	 */
	public Date getStartdate(){
		return this.startdate;
	}
	
	/**
	 *开始时间
	 */
	public void setStartdate(Date startdate){
		this.startdate = startdate;
	}
	/**
	 *结束时间
	 */
	public Date getEnddate(){
		return this.enddate;
	}
	
	/**
	 *结束时间
	 */
	public void setEnddate(Date enddate){
		this.enddate = enddate;
	}
	/**
	 *工作单位
	 */
	public String getCompanyname(){
		return this.companyname;
	}
	
	/**
	 *工作单位
	 */
	public void setCompanyname(String companyname){
		this.companyname = companyname;
	}
	/**
	 *岗位/职务
	 */
	public String getPost(){
		return this.post;
	}
	
	/**
	 *岗位/职务
	 */
	public void setPost(String post){
		this.post = post;
	}
	
}